local E, L, V, P, G = unpack(ElvUI);
local mPlugin = "mMediaTag"
local mMT = E:GetModule(mPlugin);
local DT = E:GetModule("DataTexts");
local addon, ns = ...
local mText = format("Dock %s", ACHIEVEMENT_BUTTON)
local mTextName = "mAchievement"

local function mDockCheckFrame()
	return ( AchievementFrame and AchievementFrame:IsShown() )
end

function mMT:CheckFrameAchievement(self)
	mMT:DockTimerCheck(self, mDockCheckFrame())
end

local function OnEnter(self)
	mMT:mOnEnter(self, ACHIEVEMENT_BUTTON)
end

local function OnEvent(self, event, ...)
	mMT:mOnEvent(self, nil, nil, nil, mDockCheckFrame(), E.db[mPlugin].mDock.textures.achievement.path, "CheckFrameAchievement")
end

local function OnLeave(self)
	mMT:mOnLeave(self, mDockCheckFrame())
end

local function OnClick(self)
	mMT:mClick(self, "CheckFrameAchievement")

	if mMT:mCheckCombat() then
		ToggleAchievementFrame()
	end
end

DT:RegisterDatatext(mTextName, nil, nil, OnEvent, nil, OnClick, OnEnter, OnLeave, mText, nil)